import 'package:flutter/material.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:intl/date_symbol_data_local.dart'; // Tambahkan ini
import 'firebase_options.dart';
import 'login_page.dart'; // Pastikan file login_page.dart ada

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  // Inisialisasi Firebase
  await Firebase.initializeApp(
    options: DefaultFirebaseOptions.currentPlatform,
  );  

  // Inisialisasi data tanggal untuk locale Indonesia
  await initializeDateFormatting('id_ID', null);

  runApp(SmartHomeApp());
}

class SmartHomeApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Smart Home',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        fontFamily: 'Sans',
      ),
      home: LoginPage(),
    );
  }
}
